jQuery(function($){
 	"use strict";
   	jQuery('.main-menu-navigation > ul').superfish({
		delay:       500,                            
		animation:   {opacity:'show',height:'show'},  
		speed:       'fast'                        
   	});
});

function sauna_lite_menu_open() {
	jQuery(".side-menu").addClass('open');
}
function sauna_lite_menu_close() {
	jQuery(".side-menu").removeClass('open');
}

(function( $ ) {

	$(window).scroll(function(){
		var sticky = $('.sticky-header'),
		scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('fixed-header px-2');
		else sticky.removeClass('fixed-header px-2');
	});

	// Back to top
	jQuery(document).ready(function () {
	    jQuery(window).scroll(function () {
	        if (jQuery(this).scrollTop() > 0) {
	            jQuery('.scrollup').fadeIn();
	        } else {
	            jQuery('.scrollup').fadeOut();
	        }
	    });
	    jQuery('.scrollup').click(function () {
	        jQuery("html, body").animate({
	            scrollTop: 0
	        }, 600);
	        return false;
	    });
	});
	// Window load function
	window.addEventListener('load', (event) => {
		$(".preloader").delay(2000).fadeOut("slow");
	});
	
})( jQuery );

( function( window, document ) {
	function sauna_lite_keepFocusInMenu() {
		document.addEventListener( 'keydown', function( e ) {
			const sauna_lite_nav = document.querySelector( '.side-menu' );

			if ( ! sauna_lite_nav || ! sauna_lite_nav.classList.contains( 'open' ) ) {
				return;
			}

			const elements = [...sauna_lite_nav.querySelectorAll( 'input, a, button' )],
				sauna_lite_lastEl = elements[ elements.length - 1 ],
				sauna_lite_firstEl = elements[0],
				sauna_lite_activeEl = document.activeElement,
				tabKey = e.keyCode === 9,
				shiftKey = e.shiftKey;

			if ( ! shiftKey && tabKey && sauna_lite_lastEl === sauna_lite_activeEl ) {
				e.preventDefault();
				sauna_lite_firstEl.focus();
			}

			if ( shiftKey && tabKey && sauna_lite_firstEl === sauna_lite_activeEl ) {
				e.preventDefault();
				sauna_lite_lastEl.focus();
			}
		} );
	}

	sauna_lite_keepFocusInMenu();
} )( window, document );

// sticky copyright
window.addEventListener('scroll', function() {
  var sauna_lite_sticky = document.querySelector('.copyright-sticky');
  if (!sauna_lite_sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sauna_lite_sticky.classList.add('copyright-fixed');
  } else {
    sauna_lite_sticky.classList.remove('copyright-fixed');
  }
});
// Custom Cursor JS Load Control
document.addEventListener("mousemove", function(e){
    let cursor = document.querySelector(".custom-cursor");
    if(cursor){
        cursor.style.left = e.clientX + "px";
        cursor.style.top = e.clientY + "px";
    }
});
